function [r,mn,chosenscale,chosenN,stds,upperlower]=choose(deltaT,Tbegin,Tarrival,d,scales)
% choses N(scales) by putting 2 balls -- at certain height above and below mean and counting
% how many pts are inside them at a 1000 random locations
d=d(1:floor((Tarrival-Tbegin-1)/deltaT),:);%inside this function, d is only the noise; -1 is subtracted to make sure we're inside noise
r=nanstd(d(:,2));mn=nanmean(d(:,2));
data=d; % a copy of d, to scale every time
height=2*r; % deviation from mean, at which we'll drag (actually, just sample 1000 pts)

for s=1:length(scales), scale=scales(s) %#ok<NOPRT>
    d(:,1) = data(:,1)/scale; % scale x
    tix = ceil( r/( deltaT/scale ) ); 
    i=randi([tix length(d)-tix],1000,1); i(1:10)
    Nupper(s)=nanmean( sum( ( dist2([d(i,1) (mn+height)*ones(1000,1)],d) <r^2 ) , 2 ) );
    Nlower(s)=nanmean( sum( ( dist2([d(i,1) (mn-height)*ones(1000,1)],d) <r^2 ) , 2 ) );
%figure; pp=plot(d(:,1),d(:,2),'.', 'MarkerSize', 2); hold on;arc([d(tix,1) mn+height],r,0,360,'r');arc([d(tix,1) mn-height],r,0,360,'r');
% roll is on already scaled data, so no scale in the input! jerk out 1000 random locations to roll on
upperlower=roll(r, floor((Nupper(s)+Nlower(s))/ 2) , [ deltaT/scale*[1:1000+2*tix+1]' d(randi([1 length(d)],1000+2*tix+1,1), 2) ] ); 

stds(s)=std(upperlower)
if stds(s)<.005*r,break;end;
end;
chosenscale=scales(s);chosenN=floor((Nupper(s)+Nlower(s))/2);
%figure;plot(scales(1:s),Nr,scales(1:s),N_r);legend(['Nr '; 'N_r']);
%figure;plot(scales(1:s),stds,'.-')


