function time = getTime( X )

years = X(:, 1);
months = X(:, 2);
days = X(:, 3);
hours = floor(X(:, 4) / 100);
minutes = rem(X(:, 4), 100);
seconds = X(:, 5);

datenumbers = datenum(years, months, days);

numbersOfDay = floor(datenumbers - datenum(years,1,1)+1);

time = [years numbersOfDay hours minutes seconds];

end

