function dout=prepareData(deltaT,Tbegin,Tend,d)
% prepares seismic data: filtering, hilbert, log2
d=d-mean(d); f=1/deltaT;% sampling rate, in Hz
fNorm = [1/(f/2), 15/(f/2)];
[b, a] = butter(4, fNorm, 'bandpass');
d = filtfilt(b, a, d);
d=log2(abs(hilbert(d)));
ticks = Tbegin+deltaT*[0: length(d)-1]; 
dout = [ticks' d];